排行榜

  • 用户榜
  • 标签榜
  • 冲榜分奖金

频道

最新最热悬赏待采纳 筛选
  • 3

    回答

  • 19

    浏览

安装nodejs和gulp的时候都没问题,但是装semantic的时候报一堆错,不知道是哪里出了问题 C:\Users\Administrator>npm install semantic-ui --save npm WARN deprecated gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5 npm WARN deprecated resolve-url@0.2.1: https://github.com/lydell/resolve-url#deprecated npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue npm WARN deprecated minimatch@0.2.14: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue npm WARN deprecated graceful-fs@1.2.3: please upgrade to graceful-fs 4 for compatibility with current and future versions of Node.js npm WARN deprecated natives@1.1.6: This module relies on Node.js's internals and will break at some point. Do not use it, and update to graceful-fs@4.x. npm WARN deprecated chokidar@2.1.8: Chokidar 2 will break on node v14+. Upgrade to chokidar 3 with 15x less dependencies. npm WARN deprecated fsevents@1.2.13: fsevents 1 will break on node v14+ and could be using insecure binaries. Upgrade to fsevents 2. > semantic-ui@2.4.2 install C:\Users\Administrator\node_modules\semantic-ui > gulp install fs.js:45 } = primordials; ^ ReferenceError: primordials is not defined at fs.js:45:5 at req_ (C:\Users\Administrator\node_modules\natives\index.js:143:24) at Object.req [as require] (C:\Users\Administrator\node_modules\natives\index.js:55:10) at Object.<anonymous> (C:\Users\Administrator\node_modules\graceful-fs\fs.js:1:37) at Module._compile (internal/modules/cjs/loader.js:1063:30) at Object.Module._extensions..js (internal/modules/cjs/loader.js:1092:10) at Module.load (internal/modules/cjs/loader.js:928:32) at Function.Module._load (internal/modules/cjs/loader.js:769:14) at Module.require (internal/modules/cjs/loader.js:952:19) at require (internal/modules/cjs/helpers.js:88:18) npm WARN rollback Rolling back is-extglob@1.0.0 failed (this is probably harmless): EPERM: operation not permitted, lstat 'C:\Users\Administrator\node_modules\glob-base\node_modules' npm WARN rollback Rolling back kind-of@3.2.2 failed (this is probably harmless): EPERM: operation not permitted, lstat 'C:\Users\Administrator\node_modules\is-data-descriptor\node_modules' npm WARN rollback Rolling back kind-of@5.1.0 failed (this is probably harmless): EPERM: operation not permitted, lstat 'C:\Users\Administrator\node_modules\is-descriptor\node_modules' npm WARN rollback Rolling back is-glob@2.0.1 failed (this is probably harmless): EPERM: operation not permitted, lstat 'C:\Users\Administrator\node_modules\parse-glob\node_modules' npm WARN rollback Rolling back glob@3.1.21 failed (this is probably harmless): EPERM: operation not permitted, lstat 'C:\Users\Administrator\node_modules\globule\node_modules' npm WARN enoent ENOENT: no such file or directory, open 'C:\Users\Administrator\package.json' npm WARN Administrator No description npm WARN Administrator No repository field. npm WARN Administrator No README data npm WARN Administrator No license field. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.13 (node_modules\fsevents): npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.13: wanted {"os":"darwin","arch":"any"} (current: {"os":"win32","arch":"x64"}) npm ERR! code ELIFECYCLE npm ERR! errno 1 npm ERR! semantic-ui@2.4.2 install: `gulp install` npm ERR! Exit status 1 npm ERR! npm ERR! Failed at the semantic-ui@2.4.2 install script. npm ERR! This is probably not a problem with npm. There is likely additional logging output above. npm ERR! A complete log of this run can be found in: npm ERR! C:\Users\Administrator\AppData\Roaming\npm-cache\_logs\2021-05-04T08_48_20_097Z-debug.log  

  • 1

    回答

  • 8

    浏览

1、开启本地服务器后台的时候提示了报错,说找不到 sqlite3 让尝试安装(如下图) 2、根据提示我尝试了 npm install sqlite3 --save 后出现下面的一大串报错(如下图) 根据错误提示在百度上尝试了很多方法: 尝试了删除 node-gyp 重新安装 还有一大堆看不懂的全局查询和全局删除重新安装。。。搞了两天了还是没搞明白。 因为这个服务器资料是去年的,所以个人觉得可能是因为里面部分模块已经升级迭代,可能某些功能已经用不了导致,在此希望有没有技术大佬看到此提问解答一下,如果真大佬,可以有偿解决,感恩。